콘텐츠로 건너뛰기

FLUX.1 SRPO [dev]

통합

모델 id flux/srpo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flux/srpo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.025 25 API 크레딧 이 페이지에서 실행

API 키 받기
Black Forest Labs 텍스트를 이미지로

스텝과 가이던스, 가속화 설정을 조정할 수 있는 12B 매개변수 FLUX.1 dev 텍스트-이미지 변형

Black Forest Labs · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

이미지 생성을 안내하는 프롬프트입니다.

image_size 기본값 landscape_4_3

생성된 이미지의 치수입니다.

num_images 기본값 1

생성할 이미지 수입니다.

고급 output_format · acceleration · num_inference_steps · guidance_scale · seed · enable_safety_checker
output_format 기본값 jpeg

결과 이미지의 파일 형식입니다.

acceleration 기본값 none

생성 가속 설정입니다. 값을 높이면 결과 생성에 필요한 시간이 줄어듭니다.

기본값 28

실행할 추론 단계 수입니다.

기본값 4.5

이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.

재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.

POST /run/flux/srpo?wait=20 견적 → $0.025
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flux/srpo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

FLUX.1 SRPO [dev] 정보

FLUX.1 [dev]의 SRPO 버전을 사용해 텍스트 `prompt`에서 이미지를 생성합니다. `image_size`를 6개 사전 설정 중 하나로 지정하고, `num_inference_steps`를 1~50, `guidance_scale`을 1~20으로 설정할 수 있으며, 호출당 1~4개 이미지를 요청할 수 있습니다. `acceleration`은 none, regular 또는 high로 설정할 수 있고 출력은 JPEG 또는 PNG입니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
이미지 생성을 안내하는 프롬프트입니다.
image_size선택 사항
유형object
기본값landscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
생성된 이미지의 치수입니다.
num_inference_steps선택 사항
유형integer
기본값28
1 – 50
실행할 추론 단계 수입니다.
seed선택 사항
유형integer | null
재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.
guidance_scale선택 사항
유형number
기본값4.5
1 – 20
이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 4
생성할 이미지 수입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사입니다. 안전하지 않은 것으로 표시된 이미지 대신 검은 이미지를 반환합니다. true는 검사를 활성화하고, false는 권한 있는 계정에서만 비활성화합니다. 권한이 없는 요청은 항상 검사됩니다.
output_format선택 사항
유형enum
기본값jpeg
jpegpng
결과 이미지의 파일 형식입니다.
acceleration선택 사항
유형enum
기본값none
noneregularhigh
생성 가속 설정입니다. 값을 높이면 결과 생성에 필요한 시간이 줄어듭니다.
필수 표준 이름, 사용 가능

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux/srpo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 25,
    "usd": "0.025",
    "charged": 25,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, width, height, content_type}모델이 생성한 이미지입니다.
timings
object
seed
integer이미지 생성 시드입니다. 입력에서 시드를 생략하면 무작위로 선택된 값이 포함되고, 그렇지 않으면 제공한 값이 반복됩니다.
has_nsfw_concepts
array of boolean생성된 이미지에 NSFW 개념이 나타나는지 나타냅니다.
prompt
string이미지 생성에 사용되는 프롬프트입니다.

더 많은 모델: 텍스트를 이미지로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/flux/srpo.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt